ranges::views::generate_fn Struct Reference
Views

## Public Member Functions

template<typename G >
CPP_TEMPLATE_AUX_0 | g (requires invocable< G & > &&copy_constructible< G > &&std::is_object< detail::decay_t< invoke_result_t< G & >>>::value &&constructible_from< detail::decay_t< invoke_result_t< G & >>, invoke_result_t< G & >> &&assignable_from< detail::decay_t< invoke_result_t< G & >> &, invoke_result_t< G & >>) gggenerate_view< G > operator()(G g) const

## Related Functions

(Note that these are not member functions.)
constexpr generate_fn | generate {}